Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: wm

Interfaces Templates

### Description:

X Window Managers.

### Interfaces:

wm_dbus_chat( role_prefix , domain )

##### Summary

Send and receive messages from specified wm over dbus.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
domain | Domain allowed access.

wm_exec( domain )

##### Summary

Execute wm in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

wm_role_template( role_prefix , user_role , user_domain )

##### Summary

The role template for the wm module.

##### Description

This template creates a derived domains which are used for window manager applications.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
user_role | The role associated with the user domain.
user_domain | The type of the user domain.

Return